Mgbu

Noticia GNU/Linux
GTK 3.21 rompe MATE, no actualizar Debian Testing!

5 posts en este tema

Acabo de descubrir por las malas que al actualizar a GTK+ 3.21.5-3, MATE 1.14.1-1 se rompe (por lo que vi, Caja deja de funcionar)

Si estás usando Debian Testing no actualices.

 

Estoy viendo como volver atrás la actualización :tedoy:, porque el nuevo MATE sale recién el 20

 

Después encontré esta publicación: https://sunweavers.net/blog/node/45

 

 

sunweaver sighs...

This short post is to inform all Debian MATE users that the recent GTK-3+ upload to Debian (GTK-3+ v3.21) broke most parts of the MATE 1.14 desktop environment as currently available in Debian testing (aka stretch). This raises some questions here on the MATE maintainers' side...

Questions
  1. Isn't GTK-3+ a shared library? This one was rhetorical... Yes, it is.

  2. One that breaks other application with every point release? Well, unfortunately, as experience over the past years has shown: Yes, this has happened several times, so far — and it happened again.

  3. Why is it that GTK-3+ uploads appear in Debian without going through a proper transition? This question is not rhetorical. If someone has an answer, please enlighten me.

Potential Counter Measures

For Debian MATE users running on Debian testing: This is untested, but it is quite likely that your MATE desktop environment will work again, once you have reverted your GTK-3+ library back to v3.20. For obtaining old Debian package versions, please visit the https://snapshots.debian.org site.

Prospective

The MATE 1.16 release is expected for Sep 20th, 2016. We will do our best to provide MATE 1.16 in Debian before this month is over. MATE 1.16 will again run smoothly (so I heard) on GTK-3+ 3.21.

 

light+love
sunweaver (who is already scared of the 3.22 GTK+ release, luckily the last development release of the GTK+ 3-series)

 

 

EDIT: Bueno, no pude downgradear. Me agregué el http://snapshot.debian.org/ de hace dos días, y cuando intento hacer downgrade me quiere borrar varios paquetes. O me podré otro día con tiempo o estaré 2 semanas sin explorador de archivos...

Editado por Mgbu
pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Señor Mgbu, usted ya no es ningún novato, y debería saber que gnome de una versión a otra rompe con todo. Ahora en serio, has visto se es un pedazo de bug y si esta reportado. Gtk 3 no debería romper un sistema gtk 2, aunque por supuesto puedo estar equivocado.

Edito: ¿ para esa actualización de gnome has activado la rama sid?

Editado por pacoeloyo
Mgbu y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Sé que GTK es de romper cosas, pero pensé que se limitaba a temas, ahora directamente me rompió "caja" que es el explorador de archivos y maneja el escritorio. Lo que noté por ahora es que caja no abre y que el escritorio no se limpia antes de redibujar

 

Pantallazo-2016-09-08%2018-22-00.png

 

Al bug lo vi, pero recién ahora: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836669

Parece que fue reportado hace 4 días en unstable, nada más que ayer GTK 3.21 pasó a testing según entiendo

 

MATE usa GTK 3, creo que es XFCE el que usa GTK 2

 

Yo uso Debian Testing "comun", no tengo ningún repositorio raro ni tampoco estoy usando SID o Unstable.

No se si haré algo mal, yo lo que hago es actualizar cuando me acuerdo (2 veces por semana), normalmente busco a ver qué se va actualizar si dice algo de GTK, creo que ayer lo busqué y no vi nada pero evidentemente se me pasó por alto.

 

Ahora se que cada vez que veo que se va actualizar GTK en vez de rogar que no tenga que reinstalar el tema que uso, voy a empezar a buscar si rompe algo importante

pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Mate y xfce son gtk 2 compatibles con gtk 3, ¿puedes haber tenido actualizaciones parciales? , en los entornos de escritorios importante, gnome y kde suele pasar. Hace tiempo con kde algunos compañeros del foro estuvieron con el escritorio kde roto unas semanas hasta que entraron todos los paquetes, te ha podido pasar algo parecido.

Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Ahí al fin bajó la actualización de MATE a Testing

 

Se actualizó de 1.14 a 1.16 que solucionó el problema.

Al parecer lo que pasó es que GTK rompió a MATE cuando se actualizó GTK, el problema se arregló en upstream rápidamente pero recién hace unos dias se empaquetó para Debian.

Tengo entendido que el problema fue reportado en Unstable antes de que GTK bajara a Testing, pero el paquete bajó unos dias después como si estuviera todo bien. ¿En ese tipo de casos no se marca que GTK rompe a MATE y se impide actualizar a los usuarios de MATE? No estoy seguro de como funciona

 

En esos días lo único que había visto era un discusión entre uno de los empaquetadores y un usuario, y como no habían mas respuestas tenía miedo que no se siga actualizando pero ahora estoy feliz con MATE 1.16 :D

http://lists.alioth.debian.org/pipermail/pkg-mate-team/2016-September/005086.html

Rohlling y artiza le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Registra una cuenta o conéctate para comentar

Debes ser un miembro de la comunidad para dejar un comentario

Crear una cuenta

Regístrate en nuestra comunidad. ¡Es fácil!


Registrar una cuenta nueva

Iniciar Sesión

¿Ya tienes cuenta? Conéctate aquí.


Iniciar Sesión